Bug 840825 - Creating bond, when one of the NICs has a Network attached, makes this Network to get detached
Creating bond, when one of the NICs has a Network attached, makes this Networ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Alona Kaplan
GenadiC
Network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-17 06:14 EDT by GenadiC
Modified: 2015-09-22 09 EDT (History)
7 users (show)

See Also:
Fixed In Version: si15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:05:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description GenadiC 2012-07-17 06:14:47 EDT
Description of problem:
Creating bond when of its NICs has Network attached causes this Network to detach from the newly created bond.
Version-Release number of selected component (if applicable):


How reproducible:

Always
Steps to Reproduce:
1.configure NIC1 with Network1
2.Create bond, containing NIC1 and some other NIC

  
Actual results:
Bond is created when Network 1 is detached

Expected results:
Network 1 should be still attached to the newly created bond

Additional info:
Comment 1 lpeer 2012-07-30 09:25:45 EDT
In case we have networks attaches to one of the nics then keep the original networks on the bond.

If the two original interfaces had networks and they can co-exist than have all of the networks on the bond, if they can't co-exist the bond creation should fail and a proper error message should be issued to the user.

Kaul - do we consider this an RFE?
Comment 2 Yaniv Kaul 2012-07-30 10:35:12 EDT
(In reply to comment #1)
> In case we have networks attaches to one of the nics then keep the original
> networks on the bond.

This is not an RFE.

> 
> If the two original interfaces had networks and they can co-exist than have
> all of the networks on the bond, if they can't co-exist the bond creation
> should fail and a proper error message should be issued to the user.
> 
> Kaul - do we consider this an RFE?

This part is an RFE.
Comment 3 lpeer 2012-07-31 01:46:21 EDT
I agree with c#2.

Alona - please fix the case where there are networks on (max) one of the nics.
If there are networks on both nics, or in case you want to add a nic to an existing bond and both have networks on it, you should block the action and ask the user to detach the networks before creating/extending the bond.

Genadi - if you want you can open RFE to handle the second case.
Comment 4 Simon Grinberg 2012-08-08 07:20:47 EDT
(In reply to comment #3)
> I agree with c#2.
> 
> Alona - please fix the case where there are networks on (max) one of the
> nics.
> If there are networks on both nics, or in case you want to add a nic to an
> existing bond and both have networks on it, you should block the action and
> ask the user to detach the networks before creating/extending the bond.

How? will the drag and drop fail or only after clicking OK?

> 
> Genadi - if you want you can open RFE to handle the second case.


Yes he wants to. 
This was one one of the original requirements of addNetworks - I don't know why this has dropped. 

PS, 
Just note that at lease we don't prevent that right?
As I understand the user can detach and reattach on the same go, right?(In reply to comment #3)
Comment 5 Alona Kaplan 2012-08-08 07:38:54 EDT
bonding succeeds in case-
1. if there are networks on (max) one of the nics/bond, these networks will be attached to the bond.

bonding blocks in case-
1. one of the nics/bond has unmanaged(predefined) network
2. bonth if the nics/bond has networks attahced.

If the bonding action is blocked- an error message is presented in the message section of the SetupNetworks dialog- 
"Before bonding, detach all the unmanaged networks and detach the rest of the net works form  nic1 or nic2"
Comment 6 Simon Grinberg 2012-08-08 07:53:12 EDT
(In reply to comment #5)
> If the bonding action is blocked- an error message is presented in the
> message section of the SetupNetworks dialog- 
> "Before bonding, detach all the unmanaged networks and detach the rest of
> the net works form  nic1 or nic2"

Let's try to be more specific here. 

1. If there are un-managed networks on any of the NIC

"Cannot bond, at least on of the selected interface contains networks not defined using RHEV Manager"

2. If there are networks on both NICs
(First I think we should allow it - period. Only block if the combination yields two non VLAN networks) 

"Cannot bond, both interfaces have logical network, please detach all networks from one of the interfaces, bond, and then add back if required"

If you select to allow the bond and block only on the case I've listed, then:
"Cannot bond, there is more then one non VLAN tagged network on the bonded interface. Please detach one and retry."
Comment 7 GenadiC 2012-08-08 11:00:30 EDT
I think the following bz has something to do with this one and is talking about different related scenarios: https://bugzilla.redhat.com/show_bug.cgi?id=825801
Comment 10 Alona Kaplan 2012-08-12 08:47:57 EDT
downstream commit 015db2d71d99b1fd0d97e6ec0bba02884a7d3164
Comment 11 Alona Kaplan 2012-08-14 02:40:37 EDT
unmanaged network issues when creating/adding to a bond-
1. nic + bond -
  1.1 nic contains unmanaged networks- action blocked
  message- "Cannot add nic with unmanaged network/s to a bond"
  1.2 bond contains unmanaged networks- action permitted
2. nic1 + nic2-
nic1 or nic2 contains unmanaged networks- action blocked
message - "Cannot create a bond if one of the nics contains unmanaged network/s"
Comment 12 lpeer 2012-08-14 04:05:03 EDT
explanation for #11 -

The following behaviour was implemented for unmanaged networks-

1. In case a Nic is added to a Bond
1.1 if there is unmanaged network on the NIC the operation is blocked with the following error message-
"Cannot add nic with unmanaged network/s to a bond" 
1.2 if the unmanaged network is on the bond the operation is valid.

2 if creating a bond from 2 nics and one of them has unmanaged network the operation is blocked with the following error message-
"Cannot create a bond if one of the nics contains unmanaged network/s"

Alona & Livnat
Comment 15 Alona Kaplan 2012-08-14 09:01:27 EDT
upstream commit 450baa986207ea73c346d9402f85db1ec8fb02a0
Comment 17 Alona Kaplan 2012-08-15 05:33:49 EDT
the prevoius upstream commit was wrong- the correct upstream commit e1cc0549d63057d84532f372d797be0bacdc529b
Comment 18 GenadiC 2012-08-22 07:18:47 EDT
Verified in SI15

Note You need to log in before you can comment on or make changes to this bug.